<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from flps_eps.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="flps_eps" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>flps_eps</refname><refpurpose>Returns the machine epsilon and the precision for Scilab doubles.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   eps = flps_eps ( radix )
   [ eps , p ] = flps_eps ( radix )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>radix:</term>
      <listitem><para> a 1x1 matrix of floating point integers, the basis</para></listitem></varlistentry>
   <varlistentry><term>eps :</term>
      <listitem><para> a 1x1 matrix of doubles, the smallest number for which 1+eps &lt;&gt; 1</para></listitem></varlistentry>
   <varlistentry><term>p :</term>
      <listitem><para> a 1x1 matrix of floating point integers, the precision (number of digits in the significant)</para></listitem></varlistentry>
   <varlistentry><term>rounding :</term>
      <listitem><para> a 1x1 matrix of booleans, true if round to nearest is used, false if not</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This algorithm is based on a loop, with an
decreasing value in magnitude s = s/2. If 1+s==1, then
2*s is the machine epsilon.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
[radix,rounding] = flps_radix ();
[eps,p] = flps_eps (radix)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2008 - 2010</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Algorithms to Reveal Properties of Floating-Point Arithmetic", Michael A. Malcolm, Stanford University, Communications of the ACM, Volume 15,  Issue 11 (November 1972), Pages: 949 - 951</para>
   <para>"More on Algorithms that Reveal Properties of Floating Point Arithmetic Units", W. Morven Gentleman, University of Waterloo, Scott B. Marovich, Purdue University, Communications of the ACM, Volume 17,  Issue 5 (May 1974), Pages: 276 - 277</para>
   <para>"ALGORITHM 665 - MACHAR: A Subroutine to Dynamically Determine Machine Parameters", W. J. Cody, Argonne National Laboratory, ACM Transactions on Mathematical Software, Vol. 14, No. 4, December 1988, Pages 303-311.</para>
</refsection>
</refentry>
